class Admin::PluginsController < OrbitMemberController
  
  def index
  
  	@plugins = OrbitApp::Plugin::Registration.all

    if(!params[:show_plugin_profile].nil?)
	
      @right_partial = OrbitApp::Plugin::Registration.find_by_app_name(params[:show_plugin_profile]).admin_partial_path

      if !@right_partial.blank?
        respond_to do |format|
          format.html { redirect_to( @right_partial ) }
          end
        else
        @right_partial = ""
      end
	  
    else
      @right_partial = ""
    end
  
  end

end
